/*
	stat.c -- stat ƥࡦΥ롦󥿥ե
	$Header: /net/home/cvs/teacher/kono/os/ex/file/src/stat.c,v 1.1.1.1 2007/12/18 03:39:43 kono Exp $
	Start: 1995/03/07 20:59:12
*/

#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>

main( argc,argv )
    int argc ;
    char *argv[] ;
{
	if( argc != 2 )
	{
	    fprintf( stderr,"Usage:%% %s filename \n",argv[0] );
	    exit( 1 );
	}
	stat_print( argv[1] );	/* ϥե */
}

stat_print( path )
    char *path ;
{
    struct stat buf ;
	if( stat( path,&buf ) == -1 )
	{
	    perror( path );
	    exit( 1 );
	}

    	printf("path: %s\n",path );
	printf("dev: %d,%d\n",major(buf.st_dev),minor(buf.st_dev) );
	printf("ino: %d\n",buf.st_ino );
	printf("mode: 0%o\n",buf.st_mode );
	printf("nlink: %d\n",buf.st_nlink );
	printf("uid: %d\n",buf.st_uid );
	printf("gid: %d\n",buf.st_gid );
	printf("rdev: %d,%d\n",major(buf.st_rdev),minor(buf.st_rdev) );
	printf("size: %d\n",buf.st_size );
	printf("atime: %s",ctime(&buf.st_atime) );
	printf("mtime: %s",ctime(&buf.st_mtime) );
	printf("ctime: %s",ctime(&buf.st_ctime) );
	printf("blksize: %d\n",buf.st_blksize );
	printf("blocks: %d\n",buf.st_blocks );
}
